%define snapshot 20170306.git5c3848d4
%define _prog_libdir /usr/lib/exilog
Name:   exilog
Version:    0.5.1
Release:    %{snapshot}.1%{?dist}
Summary:    exilog
Group:      System Environment/Daemons
License:    GPL
URL:        http://git.netshadow.at/exilog.git
Source0:    %{name}-%{version}-%{snapshot}.tar.gz
Source1:    %{name}.service
Source2:    %{name}.tmpfilesd
Patch0:     centos7.patch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{snapshot}
BuildRequires:   systemd
Requires:   perl-CGI perl-Net-Netmask httpd mariadb-server

%description
Exilog exim log analizator daemon

%prep
%setup -q -n %{name}-%{version}-%{snapshot}
%patch0 -p1

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} %{buildroot}%{_sysconfdir}/logrotate.d
%{__mkdir_p} %{buildroot}%{_unitdir}
%{__mkdir_p} %{buildroot}%{_prog_libdir}/cgi-bin
%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mkdir_p} %{buildroot}/srv/www/%{name}/icons
%{__mkdir_p} %{buildroot}%{_localstatedir}/run/%{name}
#exilog config
%{__install} -m 640 conf/exilog.conf-example %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
#apache config
%{__install} -m 644 contrib/centos/exilog.http.conf %{buildroot}%{_sysconfdir}/httpd/conf.d/%{name}.conf
#logrotate config
%{__install} -m 644 contrib/centos/exilog.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
#systemd service
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/
#tmpfilesdir
%{__install} -p -D -m 644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf
#exilog libs
%{__install} -m 644 lib/exilog_config.pm %{buildroot}%{_prog_libdir}/
%{__install} -m 644 lib/exilog_parse.pm %{buildroot}%{_prog_libdir}/
%{__install} -m 644 lib/exilog_sql.pm %{buildroot}%{_prog_libdir}/
%{__install} -m 644 lib/exilog_util.pm %{buildroot}%{_prog_libdir}/
%{__install} -m 644 cgi/exilog_cgi_html.pm %{buildroot}%{_prog_libdir}/cgi-bin/
%{__install} -m 644 cgi/exilog_cgi_messages.pm %{buildroot}%{_prog_libdir}/cgi-bin/
%{__install} -m 644 cgi/exilog_cgi_param.pm %{buildroot}%{_prog_libdir}/cgi-bin/
%{__install} -m 644 cgi/exilog_cgi_queues.pm %{buildroot}%{_prog_libdir}/cgi-bin/
%{__install} -m 644 cgi/exilog_cgi_servers.pm %{buildroot}%{_prog_libdir}/cgi-bin/
#exilog bin
%{__install} -m 755 agent/exilog_agent.pl %{buildroot}%{_sbindir}/
%{__install} -m 755 agent/exilog_cleanup.pl %{buildroot}%{_sbindir}/
#exilog http content
%{__install} -m 755 cgi/exilog_cgi.pl %{buildroot}/srv/www/%{name}/
%{__install} -m 644 htdocs/icons/* %{buildroot}/srv/www/%{name}/icons/
%{__install} -m 644 htdocs/exilog_jscript.js %{buildroot}/srv/www/%{name}/
%{__install} -m 644 htdocs/exilog_stylesheet.css %{buildroot}/srv/www/%{name}/

%files
%defattr(-,root,root)
%{_prog_libdir}/exilog_config.pm
%{_prog_libdir}/exilog_parse.pm
%{_prog_libdir}/exilog_sql.pm
%{_prog_libdir}/exilog_util.pm
%attr(640,apache,root) %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%doc doc/Changelog doc/exilog.txt doc/mysql-db-script.sql doc/pgsql-db-script.sql
%{_sbindir}/exilog_agent.pl
%{_sbindir}/exilog_cleanup.pl
%{_sysconfdir}/logrotate.d/%{name}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{_prog_libdir}/cgi-bin/exilog_cgi_html.pm
%{_prog_libdir}/cgi-bin/exilog_cgi_messages.pm
%{_prog_libdir}/cgi-bin/exilog_cgi_param.pm
%{_prog_libdir}/cgi-bin/exilog_cgi_queues.pm
%{_prog_libdir}/cgi-bin/exilog_cgi_servers.pm
/srv/www/%{name}/icons/*
/srv/www/%{name}/exilog_jscript.js
/srv/www/%{name}/exilog_stylesheet.css
/srv/www/%{name}/exilog_cgi.pl
%dir %{_localstatedir}/run/%{name}

%package selinux
Summary: SELinux support for %{name}
Requires: %{name} = %{version}-%{release}
Requires: selinux-policy
Requires(post): policycoreutils-python
Requires(postun): policycoreutils-python
%description selinux
SELinux support for %{name}

%post selinux
semanage fcontext -a -t httpd_sys_script_exec_t '/srv/www/%{name}/exilog_cgi.pl' 2>/dev/null || :
restorecon /srv/www/%{name}/exilog_cgi.pl || :

%postun selinux
if [ $1 -eq 0 ] ; then
semanage fcontext -d -t httpd_sys_script_exec_t '/srv/www/%{name}/exilog_cgi.pl' 2>/dev/null || :
fi

%files selinux

%clean
%{__rm} -rf %{buildroot}

%changelog
* Mon Oct 2 2017 Valery Khokhlov <voler88@gmail.com> - 0.5.1-20170306.git5c3848d4.1
- Run after MySQL, fix missing PID directory.
* Mon Mar 6 2017 Valery Khokhlov <voler88@gmail.com> - 0.5.1-20170306.git5c3848d4
- Initiate release.
